Bug 1797565 - Project dashboard links to /overview which does not exist anymore
Summary: Project dashboard links to /overview which does not exist anymore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Rastislav Wagner
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 12:25 UTC by Rastislav Wagner
Modified: 2020-05-04 11:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:29:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4152 None closed Bug 1797565: Change /overview links to /details 2020-02-13 10:08:32 UTC
Github openshift console pull 4226 None closed Bug 1797565: Use full path for link to project details 2020-02-13 10:08:32 UTC

Description Rastislav Wagner 2020-02-03 12:25:40 UTC
/overview was replaced by /details due to renaming of Overview tab to Details tab

Comment 2 Yanping Zhang 2020-02-06 04:39:44 UTC
Tested on OCP 4.4 with payload 4.4.0-0.nightly-2020-02-05-181112, check one project page, under "Overview" tab, in the "Details" tile, the "View all" link is changed from "/k8s/cluster/projects/<projectname>/overview" to "/k8s/cluster/projects/details", which is not correct. When click on "View all", it shows "404: Not Found" on page.

Comment 5 Yanping Zhang 2020-02-07 10:08:23 UTC
Checked on OCP 4.4 env with payload 4.4.0-0.nightly-2020-02-06-230833, the details link is correct now.
The bug is fixed, so move it to Verified.

Comment 7 errata-xmlrpc 2020-05-04 11:29:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.